Bug 1344589 - [RFE][S-3] Export / Import Analysis Profiles for use with Control and Compliance Profiles
Summary: [RFE][S-3] Export / Import Analysis Profiles for use with Control and Complia...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: MVP
: 5.10.0
Assignee: Julian Cheal
QA Contact: Satyajit Bulage
URL:
Whiteboard: smartstate
Depends On:
Blocks: 1511957 1555371 1590038
TreeView+ depends on / blocked
 
Reported: 2016-06-10 06:39 UTC by Nikhil Gupta
Modified: 2019-02-07 23:02 UTC (History)
13 users (show)

Fixed In Version: 5.10.0.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:13 UTC
Category: Feature
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:31 UTC

Description Nikhil Gupta 2016-06-10 06:39:39 UTC
Description of problem:
Cloudforms SmartState Analysis requires an "Analysis Profile" to select the files that will be check by a Compliance Policy.  All the other profiles can be exported / imported but the "Analysis Profile" cannot be.  The analysis profile is critical to the functioning of the Compliance Profiles.  For our project we develop on the Dev CFME appliance, maintain our configurations in GIT, and import the approved configurations into the Production CFME environment.

Analysis Profiles have to be hand created via the GUI in the production environment and screenshots used for version control.

Version-Release number of selected component (if applicable):
5.5.3.4.20160407153134_b3e2a83

How reproducible:
always.

Actual results:
cannot export or import analysis profile configuration.

Expected results:
1. Analysis profiles should be managed under "Control" with the rest of the Control and Compliance  policies.
2. Analysis profiles must be able to be exported and imported for version control and moving through a development lifecycle.

Comment 6 cpatters 2018-05-04 00:40:17 UTC
Just following up on this Long forgotten Support Case (RFE Bugzilla) and I discovered that someone has responded to a Git Page (https://github.com/rhtconsulting/cfme-rhconsulting-scripts/issues/84) that Prasad Mukhedkar had created on this matter. Any chance that this could be followed up on? Might save some time and effort.

Comment 7 Julian Cheal 2018-05-16 13:02:23 UTC
PR adding this into ManageIQ https://github.com/ManageIQ/manageiq/pull/17427

Comment 10 Julian Cheal 2018-05-18 11:17:47 UTC
PR merged https://github.com/ManageIQ/manageiq/pull/17427

Comment 21 Satyajit Bulage 2018-09-18 15:05:38 UTC
Able to export and import Analysis Profile in CFME.

Verified Version: 5.10.0.15.20180914163601_fb02d7e

Comment 23 errata-xmlrpc 2019-02-07 23:02:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.